EDIT - bug #9629

Better handling of OptionalDataException
05/19/2021 12:31 PM - Katja Luther

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 80%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.44

Severity: normal Found in Version:

Description

This exception should be handled and the user should be informed to restart the editor.

last remote method : http://api.cybertaxonomy.org:80/euromed/remoting/term.service
last remote request client time : 2021-05-19T11:32:16.744
last remote request response header time : Wed, 19 May 2021 11:32:16 GMT
client error time : 2021-05-19T11:32:16.914
login : e.raabstraube
editor version : 5.22.1
server : apil.cybertaxonomy.org (cybertaxonomy.org) / euromed
schema version : 5.22.0.0.20210315
os : Windows 7 6.1 amdé64
java : 1.8.0_231
org.eclipse.swt.SWTException: Failed to execute runnable (org.springframework.remoting.RemoteAcces
sException: Could not access HTTP invoker remote service at [http://api.cybertaxonomy.org:80/eurom
ed/remoting/term.service]; nested exception is net.sf.ehcache.CacheException: java.io.OptionalData
Exception)

at org.eclipse.swt.SWT.error (SWT. java:4533)

at org.eclipse.swt.SWT.error (SWT. java:4448)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:185)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin
gEngine.java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingE
ngine.java:1022)

at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav
a:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl
ipseAppLauncher. java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLlLauncher.start (EclipseAppla
uncher. java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run(Main. java:1519)
Caused by: org.springframework.remoting.RemoteAccessException: Could not access HTTP invoker remot
e service at [http://api.cybertaxonomy.org:80/euromed/remoting/term.service]; nested exception is
net.sf.ehcache.CacheException: java.io.OptionalDataException
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHt
tpInvokerAccessException (HttpInvokerClientInterceptor.java:226)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (Ht
tpInvokerClientInterceptor.java:153)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.
java:213)

at com.sun.proxy.S$Proxy45.1ist (Unknown Source)

at eu.etaxonomy.taxeditor.store.TermStore.getTermsFromService (TermStore. java:115)

at eu.etaxonomy.taxeditor.store.TermStore.access$0 (TermStore. java:110)

at eu.etaxonomy.taxeditor.store.TermStore$4.getTerms (TermStore. java:214)

at eu.etaxonomy.taxeditor.store.TermStore.getTerms (TermStore. java:92)

at eu.etaxonomy.taxeditor.store.TermStore.getTerms (TermStore. java:52)

at eu.etaxonomy.taxeditor.store.TermManager.getTerms (TermManager. java:334)

at eu.etaxonomy.taxeditor.ui.section.description.detail.DistributionDetailElement.
getStatusListForArea (DistributionDetailElement. java:128)

at eu.etaxonomy.taxeditor.ui.section.description.detail.DistributionDetailElement.
createControls (DistributionDetailElement. java:92)

at eu.etaxonomy.taxeditor.ui.section.description.detail.DistributionDetailElement.
createControls (DistributionDetailElement. java:1l)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.updateContent (Abstra
ctCdmDetailElement. java:106)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.setEntity (AbstractCd
mDetailElement. java:93)

at eu.etaxonomy.taxeditor.ui.section.description.detail.AbstractDetailedDescriptio
nDetailElement.<init> (AbstractDetailedDescriptionDetailElement. java:51)

at eu.etaxonomy.taxeditor.ui.section.description.detail.DistributionDetailElement.
<init> (DistributionDetailElement. java:63)

at eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.createDetailedDescriptionDetai
lElement (CdmFormFactory. java:3404)

at eu.etaxonomy.taxeditor.ui.section.description.DescriptionElementDetailElement.c
reateControls (DescriptionElementDetailElement. java:42)

at eu.etaxonomy.taxeditor.ui.section.description.DescriptionElementDetailElement.c
reateControls (DescriptionElementDetailElement. java:l)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.updateContent (Abstra
ctCdmDetailElement. java:106)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.setEntity (AbstractCd
mDetailElement. java:93)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection.setEntity (AbstractCd
mDetailSection. java:155)

at eu.etaxonomy.taxeditor.view.detail.CdmSectionPart.setFormInput (CdmSectionPart.j
ava:158)

at org.eclipse.ui.forms.ManagedForm.setInput (ManagedForm. java:210)

at eu.etaxonomy.taxeditor.view.ed.AbstractCdmDataViewerE4.refresh (AbstractCdmDataV
iewerE4.java:158)

at eu.etaxonomy.taxeditor.view.ed.AbstractCdmDataViewerE4.setInput (AbstractCdmData
ViewerE4.java:141)

at eu.etaxonomy.taxeditor.view.ed.details.DetailsViewerE4.setInput (DetailsViewerE4
.java:206)

at eu.etaxonomy.taxeditor.view.ed.details.DetailsViewerE4.setInput (DetailsViewerE4
.Java:177)

at eu.etaxonomy.taxeditor.view.ed.AbstractCdmEditorPartE4.showViewer (AbstractCdmEd
itorPartE4. java:283)

at eu.etaxonomy.taxeditor.view.ed.details.DetailsPartE4.selectionChanged_internal (
DetailsPartE4. java:107)

at eu.etaxonomy.taxeditor.view.ed.AbstractCdmEditorPartE4$DelaySelection.run (Abstr
actCdmEditorPartE4. java:94)

at org.eclipse.swt.widgets.RunnablelLock.run (RunnablelLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

23 more

Caused by: net.sf.ehcache.CacheException: java.io.OptionalDataException

at net.sf.ehcache.store.disk.DiskStorageFactory.retrieve (DiskStorageFactory. java:8
91)

at net.sf.ehcache.store.disk.Segment.decodeHit (Segment.java:182)

at net.sf.ehcache.store.disk.Segment.get (Segment. java:225)

at net.sf.ehcache.store.disk.DiskStore.fault (DiskStore.java:210)
.CacheStore$4.call (CacheStore. java:198)
.CacheStore$4.call (CacheStore.java:192)
cachingtier.OnHeapCachingTier$Fault.get (OnHeapCachingTier.

cachingtier.OnHeapCachingTierS$Fault.access$200 (OnHeapCachi
cachingtier.OnHeapCachingTier.get (OnHeapCachingTier. java:1l

.CacheStore.get (CacheStore. java:192)

get (Cache.java:1749)

get (Cache.java:1722)
.cache.CdmCacherBase.getCacheElement (CdmCacherBase. java:105

cache.CdmCacherBase.getFromCache (CdmCacherBase. java:140)
.cache.CdmServiceCacher.load (CdmServiceCacher. java:155)
CdmTransientEntityCacher.putToCache (CdmTransientEntityCa

.putToCache (CachelLoader. java:294)
loadRecursive (CacheLoader. java:321)
.loadRecursiveAny (CachelLoader. java:83)
loadRecursiveCollection (CacheLoader.java:190

load (CachelLoader.java:157)
load (CachelLoader.java:66)

.CdmTransientEntityCacher.load (CdmTransientEntityCacher. j

session.CdmEntitySession.load (CdmEntitySession. java:65)
.session.CdmEntitySessionManager.load (CdmEntitySessionMan

at org.springframework.remoting.httpinvoker.CachingHttpInvokerProxyFactoryBean.han

dleGeneralRequest (CachingHttpInvokerProxyFactoryBean. java:105)

at org.springframework.remoting.httpinvoker.CachingHttpInvokerProxyFactoryBean.exe

cuteRequest (CachingHttpInvokerProxyFactoryBean. java:81)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (Ht
tpInvokerClientInterceptor. java:150)
56 more
java.util.HashSet.readObject (Unknown Source)

sun.reflect.GeneratedMethodAccessor33.1invoke (Unknown Source)
ObjectInputStream.

invokeReadObject (Unknown Source)
readSerialData (Unknown Source)
readOrdinaryObject (Unknown Source)
readObject0 (Unknown Source)
defaultReadFields (Unknown Source)
readSerialData (Unknown Source)
readOrdinaryObject (Unknown Source)
readObjectO (Unknown Source)
defaultReadFields (Unknown Source)
defaultReadObject (Unknown Source)

net.sf.ehcache.Element.readObject (Element. java:885)

sun.reflect.GeneratedMethodAccessor66.invoke (Unknown Source)

sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

Java.
83 more

lang.reflect.Method.invoke (Unknown Source)
.ObjectStreamClass.
.ObjectInputStream.
.ObjectInputStream.
.ObjectInputStream.

invokeReadObject (Unknown Source)

readSerialData (Unknown Source)

readOrdinaryObject (Unknown Source)

readObject0 (Unknown Source)

readObject (Unknown Source)
DiskStorageFactory.read(DiskStorageFactory. java:371)
DiskStorageFactory.retrieve (DiskStorageFactory.java:8
Related issues:
Related to EDIT - bug #9358: OptionalDataException during HTTP invoker call New

Associated revisions

Revision ab79a3ac - 05/27/2021 11:45 AM - Katja Luther
ref #9629: handle OptionalDataException

Revision bac6e6b4 - 05/27/2021 03:29 PM - Katja Luther
ref #9629: handle OptionalDataException - continue

Revision f2b0935d - 05/31/2021 12:35 PM - Andreas Miiller
ref #9629 adapting message string

Revision ¢7198d48 - 06/11/2021 11:13 AM - Katja Luther

ref #9629: iterate over causes of exception

Revision 9536f3f2 - 07/06/2021 11:35 AM - Andreas Miiller

ref #9629 cleanup t != null check and OptionalDataException check.

Revision c5a4c¢165 - 07/06/2021 12:54 PM - Andreas Miiller

fix #9629 handle OptionalDataException earlier in stack and recursive getCause()

History

#1 - 05/19/2021 12:52 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.25

| guess this is fast to implement as we only need to search for "java.io.OptionalDataException" in the stacktrace.
Also it happens relatively often so it is worth implementing it soon to avoid user requests on this.

#2 - 05/19/2021 04:50 PM - Andreas Miiller
- Related to bug #9358: OptionalDataException during HTTP invoker call added

#3 - 05/19/2021 04:50 PM - Andreas Miiller

The general problem was reported in #9358 already.

#4 - 05/27/2021 11:46 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

the exception is hanlded now, please review.

#5 - 05/31/2021 12:40 PM - Andreas Miller

- Status changed from Resolved to Closed

This is difficult to review as | can't create the exception that shows if it works or not. However, the code looks ok and | suggest to close the ticket and
reopen if it does not work.

#6 - 05/31/2021 12:46 PM - Andreas Miiller
- % Done changed from 0 to 100

#7 - 06/01/2021 10:18 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.24

#8 - 06/07/2021 04:43 PM - Andreas Miiller
- Status changed from Closed to Feedback

- Assignee changed from Andreas Muiller to Katja Luther
https://dev.e-taxonomy.eu/redmine/issues/9358

- Target version changed from Release 5.24 to Release 5.25

- % Done changed from 100 to 10

Reopen this ticket. Using toString is incorrect method to check if an exception is in the stacktrace.
exception.toString returns something like "[Ljava.lang.StackTraceElement;@15db9742"

There should be other example in the code for correct error extraction.

#9 - 06/07/2021 04:45 PM - Andreas Miiller

For testing you could manually throw an OptionalDataException and try to catch it correctly.

#10 - 06/07/2021 04:51 PM - Andreas Miiller

You could e.g. recursively iterate through exception e and its causes e.getCause() and check all these exceptions for getClass().getName()

#11 - 07/05/2021 10:15 AM - Katja Luther
- Status changed from Feedback to In Progress

- Target version changed from Release 5.25 to Release 5.45

#12 - 07/06/2021 12:54 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 10 to 50

Applied in changeset taxeditor|c5a4c165774d6bf77b9927370983f7aad1cb09b3.

#13 - 07/06/2021 12:58 PM - Andreas Miiller
- Priority changed from New to Highest

- Target version changed from Release 5.45 to Release 5.25
This should be fixed. | tested by adding the following code to the beginning of BulkEditorUtil.openBulkEditor()
tryd

Constructor<OptionalDataException> c = OptionalDataException.class.getDeclaredConstructor (int.class);
c.setAccessible (true);

OptionalDataException a = c.newlInstance (0);
if (true) {
throw a;

}
}catch (Exception e) {
try {
throw new RuntimeException (e);
} catch (Exception el) {
throw new RuntimeException (el);
}
}

and then opening the author bulk editor.

Please review and maybe adapt error handling if needed.

#14 - 07/08/2021 11:19 AM - Katja Luther
- Status changed from Resolved to Closed
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 50 to 100

works as expected.

#15 - 12/06/2022 09:05 AM - Katja Luther

- Status changed from Closed to In Progress

Reopen the ticket because it appeared again:
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/c5a4c165774d6bf77b9927370983f7aad1cb09b3

Hallo,

Caryophyllales_spp, beim Aufruf eines Synonyms aus der Suche:

HG
W

last remote method
last remote request client time

last remote request response header time
2022-12-05T08:37:09.663

client error time

login w.berendsohn
editor version 5.34.0
server api.cybertaxonomy.org
schema version
os Windows 10 10.0 amdé64

java : 1.8.0_333

(cybertaxonomy.orgq)
5.33.0.0.20220807

https://api.cybertaxonomy.org:443/caryophyllales_spp/remoting/term.service

2022-12-05T08:37:08.392
Mon, 05 Dec 2022 14:35:28 GMT

/ caryophyllales_spp

net.sf.ehcache.CacheException: java.io.OptionalDataException

at net.sf.ehcache.store.disk.DiskStorageFactory.retrieve (DiskStorageFactory. java:866)

at net.sf.ehcache.store.disk.Segment.decode (Segment.java:171)

at net.sf.ehcache.store.disk.Segment.evict (Segment.java:859)

at net.sf.ehcache.store.disk.Segment.evict (Segment.java:831)

at net.sf.ehcache.store.disk.Segment.flush (Segment. java:1035)

at net.sf.ehcache.store.disk.DiskStore.flush(DiskStore.java:248)

at net.sf.ehcache.store.CacheStore$l.evicted(CacheStore.java:99)

at net.sf.ehcache.store.CacheStores$l.evicted (CacheStore.java:96)

at net.sf.ehcache.store.cachingtier.OnHeapCachingTier$l.evicted (OnHeapCachingTier. java:87)

at net.sf.ehcache.store.cachingtier.CountBasedBackEnd$1l.removed (CountBasedBackEnd. java:103)

at net.sf.ehcache.util.concurrent.ConcurrentHashMap.internalReplace (ConcurrentHashMap.java:1346)

at net.sf.ehcache.util.concurrent.ConcurrentHashMap.removeAndNotify (ConcurrentHashMap.java:2647)

at net.sf.ehcache.store.cachingtier.CountBasedBackEnd.remove (CountBasedBackEnd. java:115)

at net.sf.ehcache.store.cachingtier.OnHeapCachingTier.remove (OnHeapCachingTier. java:207)

at net.sf.ehcache.store.CacheStore.remove (CacheStore. java:238)

at net.sf.ehcache.Cache.removeInternal (Cache.java:2420)

at net.sf.ehcache.Cache.tryRemoveImmediately (Cache. java:2183)

at net.sf.ehcache.Cache.get (Cache. java:1754)

at net.sf.ehcache.Cache.get (Cache.java:1722)

at eu.etaxonomy.cdm.api.cache.CdmCacherBase.getCacheElement (CdmCacherBase.java:114)

at eu.etaxonomy.cdm.api.cache.CdmCacherBase.load (CdmCacherBase. java:127)

at eu.etaxonomy.cdm.model.term.DefinedTermBase.getTermByClassAndUUID_aroundBody20 (DefinedTermBase.
java:536)

at eu.etaxonomy.cdm.model.term.DefinedTermBase.getTermByClassAndUUID (DefinedTermBase. java:1l)

at eu.etaxonomy.cdm.model.name.NameRelationshipType.findTermByUuid (NameRelationshipType.java:129)

at eu.etaxonomy.cdm.model.name.NameRelationshipType.REPLACED_SYNONYM_aroundBody22 (NameRelationship
Type.java:482)

at eu.etaxonomy.cdm.model.name.NameRelationshipType.REPLACED_SYNONYM (NameRelationshipType. java:l)

at eu.etaxonomy.cdm.model.name.TaxonName.getReplacedSynonyms (TaxonName. java:2097)

at eu.etaxonomy.cdm.compare.taxon.HomotypicGroupTaxonComparator.getReplacedSynonymClosure (Homotypi

cGroupTaxonComparator. java:223)

at eu.etaxonomy.cdm.

onComparator. java:198)

at eu.etaxonomy.cdm.

mparator.java:139)

at eu.etaxonomy.cdm.

tor.java:84)

compare.taxon.HomotypicGroupTaxonComparator.compareBasionyms (HomotypicGroupTax
compare.taxon.HomotypicGroupTaxonComparator.compareNames (HomotypicGroupTaxonCo

compare.taxon.HomotypicGroupTaxonComparator.compare (HomotypicGroupTaxonCompara

at eu.etaxonomy.cdm.compare.taxon.TaxonComparator.compare (TaxonComparator.java:1l)

at java.util.TimSort.countRunAndMakeAscending (Unknown Source)

at java.util.TimSort.sort (Unknown Source)

at java.util.Arrays.sort (Unknown Source)

at java.util.ArrayList.sort (Unknown Source)

at java.util.Collections.sort (Unknown Source)

at eu.etaxonomy.cdm.model.taxon.Taxon.getSynonymsInGroup (Taxon.java:1764)

at eu.etaxonomy.cdm.model.taxon.Taxon.getSynonymsInGroup (Taxon. java:1741)

at eu.etaxonomy.cdm.model.taxon.Taxon.getHeterotypicSynonymyGroups (Taxon.java:1704)

at eu.etaxonomy.taxeditor.editor.name.e4d.container.ContainerFactoryE4.createOrUpdateHeterotypicSyn

onymyGroups (ContainerFactoryE4. java:47)

at eu.etaxonomy.taxeditor.editor.name.

ditorE4.java:225)
at eu.etaxonomy.

ed.TaxonNameEditorE4.createOrUpdateNameComposites (TaxonNameE

taxeditor.editor.name.e4.TaxonNameEditorE4.init (TaxonNameEditorE4. java:445)

at eu.etaxonomy.taxeditor.editor.EditorUtil.openNameEditor_internal (EditorUtil. java:262)

at eu.etaxonomy.taxeditor.editor.EditorUtil.openTaxonBaseE4 (EditorUtil.java:191)

at eu.etaxonomy.taxeditor.navigation.NavigationUtil.openEditor (NavigationUtil. java:111)

at eu.etaxonomy.taxeditor.navigation.NavigationUtil.openEditor (NavigationUtil. java:86)

at eu.etaxonomy.taxeditor.navigation.search.e4.SearchResultViewE4$1.doubleClick (SearchResultViewE4
.java:153)

at org.eclipse.jface.viewers.StructuredViewer$l.run (StructuredViewer. java:833)

at org.eclipse.core.runtime.SafeRunner.run (SafeRunner. java:42)
at org.eclipse.ui.internal.JFaceUtil$1l.run (JFaceUtil. java:50)

at org.eclipse.jface.util.SafeRunnable.run (SafeRunnable. java:173)

at org.eclipse.jface.viewers.StructuredViewer.fireDoubleClick (StructuredViewer. java:830)

at org.eclipse.jface.viewers.StructuredViewer.handleDoubleSelect (StructuredViewer. java:1151)

at org.eclipse.jface.viewers.StructuredViewer$4.widgetDefaultSelected (StructuredViewer. java:1264)
at org.
at org.eclipse.jface.util.OpenStrategy.access$0 (OpenStrategy.java:249)

at org.eclipse.jface.util.OpenStrategy$l.handleEvent (OpenStrategy.java:311)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:112

eclipse.jface.util.OpenStrategy.fireDefaultSelectionEvent (OpenStrategy.java:252)

1)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)
at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
at eu.etaxonomy.taxeditor.Application.start (Application. java:20)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher.
java:134)
at org.eclipse.core.runtime.internal.adaptor.EclipseApplauncher.start (EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)
at java.lang.reflect.Method.invoke (Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
at org.eclipse.equinox.launcher.Main.basicRun (Main.java:610)
at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: java.io.OptionalDataException

at java.io.ObjectInputStream.readObjectO (Unknown Source)

at java.io.ObjectInputStream.readObject (Unknown Source)

at java.io.ObjectInputStream.readObject (Unknown Source)

at java.util.HashSet.readObject (Unknown Source)

at sun.reflect.GeneratedMethodAccessor44.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)
at java.lang.reflect.Method.invoke (Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject (Unknown Source)
at java.io.ObjectInputStream.readSerialData (Unknown Source)
defaultReadFields (Unknown Source)
readSerialData (Unknown Source)
readOrdinaryObject (Unknown Source)
readObject0 (Unknown Source)
defaultReadFields (Unknown Source)
defaultReadObject (Unknown Source)

net.sf.ehcache.Element.readObject (Element. java:885)
sun.reflect.GeneratedMethodAccessor8l.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

java
java.
java.
java.

.lang.reflect.Method.invoke (Unknown Source)

io
io

io.
ObjectStreamClass.
ObjectInputStreamn.
.ObjectInputStream.
invokeReadObject (Unknown Source)
readSerialData (Unknown Source)
readOrdinaryObject (Unknown Source)
readObject0 (Unknown Source)

java.io.ObjectInputStream.
net.sf.ehcache.store.disk.
net.sf.ehcache.store.disk.

83 more

#16 - 12/06/2022 02:45 PM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.35

- % Done changed from 100 to 80

#17 - 12/06/2022 05:13 PM - Andreas Miiller

04/18/2024

java.io.ObjectInputStream.

readObject (Unknown
readObject (Unknown

DiskStorageFactory.
DiskStorageFactory.

Source)

Source)

read (DiskStorageFactory.java:371)
retrieve (DiskStorageFactory.java:864)
- Assignee changed from Andreas Mtiller to Katja Luther

#18 - 01/05/2023 06:28 PM - Andreas Miiller

- Target version changed from Release 5.35 to Release 5.44
